Bug 785468 (Horde_Image) - Review Request: php-horde-Horde-Image - Horde Image API
Summary: Review Request: php-horde-Horde-Image - Horde Image API
Keywords:
Status: CLOSED ERRATA
Alias: Horde_Image
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: horde-channel Horde_Translation Horde_Exception Horde_Util Horde_Support
Blocks: Horde_Core
TreeView+ depends on / blocked
 
Reported: 2012-01-29 02:42 UTC by Nick Bebout
Modified: 2013-03-21 15:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-28 07:00:00 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (25.72 KB, text/plain)
2013-02-06 09:56 UTC, Remi Collet
no flags Details
php-horde-Horde-Image-review.txt (8.10 KB, text/plain)
2013-02-06 09:57 UTC, Remi Collet
no flags Details

Comment 2 Remi Collet 2012-08-09 06:07:19 UTC
Missing locales management

According to package.xml
Requires: php-gd, php-json, php-zlib
Requires: php-pear(XML_SVG)  (not yet available in repo)

According to phpci
Requires: php-spl, php-date, php-exif, php-pcre

Tests seems unusable in rpmbuild.

Comment 4 Remi Collet 2013-02-06 09:56:53 UTC
Created attachment 693836 [details]
phpci.log

Comment 5 Remi Collet 2013-02-06 09:57:30 UTC
Created attachment 693837 [details]
php-horde-Horde-Image-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 785468

Comment 6 Remi Collet 2013-02-06 09:58:17 UTC
[!]: License field in the package spec file matches the actual license.
	# Horde files are LGPLv2 (not LGPLv2+)
	# Horde/Image/Exif/Parser/Canon.php is GPLv2+
	=> GPLv2+ and LGPLv2

Just need to fix the License, else everything is ok.

Can you please replace my "private" email by my fp.o one ?

Comment 8 Remi Collet 2013-02-07 14:51:48 UTC
< License:        LGPLv2+
> License:        GPLv2+ and LGPLv2

[x]: License field in the package spec file matches the actual license.

Please consider adding a comment about which file use each license.

No blocker

=== APPROVED ===

Comment 9 Nick Bebout 2013-02-07 21:38:16 UTC
New Package SCM Request
=======================
Package Name: php-horde-Horde-Image
Short Description: Horde Image API
Owners: nb remi
Branches: el6 f18
InitialCC:

Comment 10 Gwyn Ciesla 2013-02-08 13:39:45 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2013-02-16 00:01:34 UTC
php-horde-Horde-Image-2.0.3-3.el6, php-horde-Horde-Alarm-2.0.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Image-2.0.3-3.el6,php-horde-Horde-Alarm-2.0.3-3.el6

Comment 12 Fedora Update System 2013-02-16 00:04:14 UTC
php-horde-Horde-Alarm-2.0.3-3.fc18, php-horde-Horde-Image-2.0.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-horde-Horde-Image-2.0.3-3.fc18,php-horde-Horde-Alarm-2.0.3-3.fc18

Comment 13 Fedora Update System 2013-02-17 03:33:07 UTC
Package php-horde-Horde-Alarm-2.0.3-3.fc18, php-horde-Horde-Image-2.0.3-3.fc18, php-horde-Horde-Lock-2.0.1-3.fc18, php-horde-Horde-Text-Flowed-2.0.1-3.fc18, php-horde-Horde-Argv-2.0.4-4.fc18, php-horde-Horde-Serialize-2.0.1-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-horde-Horde-Alarm-2.0.3-3.fc18 php-horde-Horde-Image-2.0.3-3.fc18 php-horde-Horde-Lock-2.0.1-3.fc18 php-horde-Horde-Text-Flowed-2.0.1-3.fc18 php-horde-Horde-Argv-2.0.4-4.fc18 php-horde-Horde-Serialize-2.0.1-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2619/php-horde-Horde-Argv-2.0.4-4.fc18,php-horde-Horde-Serialize-2.0.1-3.fc18,php-horde-Horde-Text-Flowed-2.0.1-3.fc18,php-horde-Horde-Lock-2.0.1-3.fc18,php-horde-Horde-Image-2.0.3-3.fc18,php-horde-Horde-Alarm-2.0.3-3.fc18
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2013-02-28 07:00:02 UTC
php-horde-Horde-Alarm-2.0.3-3.fc18, php-horde-Horde-Image-2.0.3-3.fc18, php-horde-Horde-Lock-2.0.1-3.fc18, php-horde-Horde-Argv-2.0.4-4.fc18, php-horde-Horde-Serialize-2.0.1-3.fc18, php-horde-Horde-Text-Flowed-2.0.1-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-03-09 19:16:55 UTC
php-horde-Horde-Image-2.0.3-3.el6, php-horde-Horde-Alarm-2.0.3-3.el6, php-horde-Horde-Lock-2.0.1-3.el6, php-horde-Horde-Argv-2.0.4-4.el6, php-horde-Horde-Serialize-2.0.1-3.el6, php-horde-Horde-Text-Flowed-2.0.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.